dbXML API

## org.dbxml.core.objects
Class SimpleReflectable

    java.lang.Object
      |
      +--org.dbxml.server.SimpleConfigurable
            |
            +--org.dbxml.core.objects.SimpleReflectable

All Implemented Interfaces:
  org.dbxml.server.Configurable, org.dbxml.server.Poolable, Reflectable

Direct Known Subclasses:
  SimpleXMLObject

public class SimpleReflectable
extends org.dbxml.server.SimpleConfigurable
implements Reflectable, org.dbxml.server.Poolable

SimpleReflectable

Fields inherited from interface org.dbxml.core.objects.Reflectable
`NO_PARAMS`

Constructor Summary
`SimpleReflectable()`

Method Summary
`java.lang.String` `getName()`
`Reflector` `getReflector()` getReflector returns the Reflectable Object's Reflector instance.
`org.w3c.dom.Document` `queryInterface()` queryInterface allows a client to query the Reflectable Object for exposed methods.
`void` `reclaim()`
`void` `setConfig(org.dbxml.server.Configuration config)`
`void` `setPool(org.dbxml.server.ObjectPool pool)`

Methods inherited from class org.dbxml.server.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleReflectable

    public SimpleReflectable()

Method Detail

### setConfig

    public void setConfig(org.dbxml.server.Configuration config)
                   throws org.dbxml.server.dbXMLException

  Overrides:
    `setConfig` in class `org.dbxml.server.SimpleConfigurable`

### getReflector

    public Reflector getReflector()

  Description copied from interface: `Reflectable`
  getReflector returns the Reflectable Object's Reflector instance.
  Specified by:
    `getReflector` in interface `Reflectable`
  Following copied from interface: `org.dbxml.core.objects.Reflectable`
  Returns:
    The Object's Reflector

### setPool

    public void setPool(org.dbxml.server.ObjectPool pool)

  Specified by:
    `setPool` in interface `org.dbxml.server.Poolable`

### reclaim

    public void reclaim()

  Specified by:
    `reclaim` in interface `org.dbxml.server.Poolable`

### getName

    public java.lang.String getName()

### queryInterface

    public org.w3c.dom.Document queryInterface()

  Description copied from interface: `Reflectable`
  queryInterface allows a client to query the Reflectable Object for exposed methods.
  Specified by:
    `queryInterface` in interface `Reflectable`
  Following copied from interface: `org.dbxml.core.objects.Reflectable`
  Returns:
    The Object's interface

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved